# Memcached::setOption

(PECL memcached >= 0.1.0)

Memcached::setOption — Set a Memcached option

### Beschreibung

public Memcached::setOption(int `$option`, mixed `$value`): bool

This method sets the value of a Memcached `option`. Some options correspond to the ones defined by libmemcached, and some are specific to the extension.

### Parameter-Liste

`option`

  One of the `Memcached::OPT_*` constant. See Memcached Constants for more information.

`value`

  The value to be set.

  > Hinweis:

  > The options listed below require values specified via constants.

  > - `Memcached::OPT_HASH` requires `Memcached::HASH_*` values.
  > - `Memcached::OPT_DISTRIBUTION` requires `Memcached::DISTRIBUTION_*` values.
  > - `Memcached::OPT_SERIALIZER` requires `Memcached::SERIALIZER_*` values.
  > - `Memcached::OPT_COMPRESSION_TYPE` requires `Memcached::COMPRESSION_*` values.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Beispiele

Beispiel #1 Setting a Memcached option

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_HASH) == Memcached::HASH_DEFAULT);
$m->setOption(Memcached::OPT_HASH, Memcached::HASH_MURMUR);
$m->setOption(Memcached::OPT_PREFIX_KEY, "widgets");
echo "Prefix key is now: ", $m->getOption(Memcached::OPT_PREFIX_KEY), "\n";
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    bool(true)
    Prefix key is now: widgets

### Siehe auch

- Memcached::getOption() - Retrieve a Memcached option value
- Memcached::setOptions() - Set Memcached options
- Memcached Constants

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open